#include "os.h"
#include "rtsc_annotate.h"
DeclareTask(event0_st_0_handler);
DeclareTask(event0_st_1_handler);
DeclareTask(event0_st_2_handler);
DeclareTask(event1_st_0_handler);
DeclareTask(event1_st_1_handler);
DeclareTask(event1_st_2_handler);
DeclareTask(event1_st_3_handler);
DeclareTask(event2_st_0_handler);
DeclareTask(event2_st_1_handler);
DeclareTask(event2_st_2_handler);
void function0();
void function1();
void function2();
void function4();
void function5();
void function6();
void function7();
void function8();
void function9();
void function11();
void function12();
void function13();
void function14();
void function15();
void function16();
void function17();
void function18();
void function19();
void function20();
void function21();
void function22();
void function23();
void function24();
void function25();
void function27();
void function28();
void function29();
void function30();
void function31();
void function32();
void function33();
void function34();
void function35();

int magic_branch_condition();
int magic_loop_condition();

TASK(event0_st_0_handler) {
  // requested utilisation = 0.0735817
  // requested wcet        = 320201us
  // period                = 4351650us
  // act                   = 1
  function0(); // estimated wcet = 320201us
  // estimated total wcet        = 320201
  // estimated total utilisation = 0.0735815
}
TASK(event0_st_1_handler) {
  // requested utilisation = 0.58527
  // requested wcet        = 2546891us
  // period                = 4351650us
  // act                   = 1
  function4(); // estimated wcet = 2546891us
  // estimated total wcet        = 2546891
  // estimated total utilisation = 0.58527
}
TASK(event0_st_2_handler) {
  // requested utilisation = 0.443182
  // requested wcet        = 1928571us
  // period                = 4351650us
  // act                   = 1
  function8(); // estimated wcet = 1928571us
  // estimated total wcet        = 1928571
  // estimated total utilisation = 0.443182
}
TASK(event1_st_0_handler) {
  // requested utilisation = 0.0257766
  // requested wcet        = 112170us
  // period                = 4351650us
  // act                   = 1
  function12(); // estimated wcet = 112170us
  // estimated total wcet        = 112170
  // estimated total utilisation = 0.0257764
}
TASK(event1_st_1_handler) {
  // requested utilisation = 0.349595
  // requested wcet        = 1521313us
  // period                = 4351650us
  // act                   = 1
  function15(); // estimated wcet = 1521313us
  // estimated total wcet        = 1521313
  // estimated total utilisation = 0.349595
}
TASK(event1_st_2_handler) {
  // requested utilisation = 0.372149
  // requested wcet        = 1619462us
  // period                = 4351650us
  // act                   = 1
  function18(); // estimated wcet = 1619462us
  // estimated total wcet        = 1619462
  // estimated total utilisation = 0.372149
}
TASK(event1_st_3_handler) {
  // requested utilisation = 0.14553
  // requested wcet        = 633296us
  // period                = 4351650us
  // act                   = 1
  function21(); // estimated wcet = 633296us
  // estimated total wcet        = 633296
  // estimated total utilisation = 0.14553
}
TASK(event2_st_0_handler) {
  // requested utilisation = 0.502635
  // requested wcet        = 4374581us
  // period                = 8703300us
  // act                   = 1
  function24(); // estimated wcet = 4374581us
  // estimated total wcet        = 4374581
  // estimated total utilisation = 0.502635
}
TASK(event2_st_1_handler) {
  // requested utilisation = 0.651685
  // requested wcet        = 5671806us
  // period                = 8703300us
  // act                   = 1
  function28(); // estimated wcet = 5671806us
  // estimated total wcet        = 5671806
  // estimated total utilisation = 0.651685
}
TASK(event2_st_2_handler) {
  // requested utilisation = 0.650597
  // requested wcet        = 5662337us
  // period                = 8703300us
  // act                   = 1
  function32(); // estimated wcet = 5662337us
  // estimated total wcet        = 5662337
  // estimated total utilisation = 0.650597
}
// total utilisation = 3.8

/* WCET = 320201 */
void function0() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function1();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(6000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(39);
      RTSC_setBBWCET(5000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(20);
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(204000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(160097000ULL);
    }
    else {
      RTSC_setBBWCET(160097000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 160100 */
void function1() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  function2();
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(80046000ULL);
  }
  else {
    RTSC_setBBWCET(80046000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 80050 */
void function2() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(5);
    RTSC_setBBWCET(16009000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2546891 */
void function4() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(9000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(7000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(8000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(2546864000ULL);
  }
  else {
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(11000ULL);
    /* Loop Depth = 0 */
    function5();
    RTSC_setBBWCET(1273404000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1273445 */
void function5() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  function6();
  function7();
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(636720000ULL);
  }
  else {
    RTSC_setBBWCET(636720000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 318361 */
void function6() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(32000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(43);
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(23000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(31);
      RTSC_setBBWCET(238000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 318361 */
void function7() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(318360000ULL);
  }
  else {
    RTSC_setBBWCET(318360000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1928571 */
void function8() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  ActivateTask(event0_st_0_handler);
  ActivateTask(event0_st_1_handler);
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(12000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(27);
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(71428000ULL);
      }
      else {
        RTSC_setBBWCET(71428000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(1);
        RTSC_setBBWCET(0ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(1);
          RTSC_setBBWCET(10000ULL);
          /* Loop Depth = 2 */
          function9();
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(4000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(1000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(6000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(7);
            RTSC_setBBWCET(183670000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(1928568000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 642857 */
void function9() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(642848000ULL);
  }
  else {
    RTSC_setBBWCET(2000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(3);
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      function11();
      RTSC_setBBWCET(5000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(12);
        RTSC_setBBWCET(7142000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 128571 */
void function11() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(13000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(18);
    RTSC_setBBWCET(2000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(30);
      RTSC_setBBWCET(238000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 112170 */
void function12() {
  RTSC_setBBWCET(8000ULL);
  /* Loop Depth = 0 */
  function13();
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(11);
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(8155000ULL);
      }
      else {
        RTSC_setBBWCET(8155000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(7000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(28);
        RTSC_setBBWCET(291000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 22434 */
void function13() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    function14();
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(11000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(22);
      RTSC_setBBWCET(815000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 4486 */
void function14() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(5);
    RTSC_setBBWCET(894000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1521313 */
void function15() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1521310000ULL);
    }
    else {
      RTSC_setBBWCET(1521310000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 0 */
      function16();
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(11000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(12);
        RTSC_setBBWCET(120435000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(5000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(17);
        RTSC_setBBWCET(89488000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 76065 */
void function16() {
  RTSC_setBBWCET(8000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    function17();
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(38024000ULL);
    }
    else {
      RTSC_setBBWCET(38024000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(14000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(31);
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(29000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(44);
        RTSC_setBBWCET(55000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 38032 */
void function17() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(38028000ULL);
  }
  else {
    RTSC_setBBWCET(38028000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1619462 */
void function18() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(12000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(29);
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(1);
      RTSC_setBBWCET(0ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(1);
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 3 */
        function19();
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(6000ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(19000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(39);
            RTSC_setBBWCET(912000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        else {
          RTSC_setBBWCET(35593000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 20243 */
void function19() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(10000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(17);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      function20();
      RTSC_setBBWCET(178000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1012 */
void function20() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(21000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(26);
    RTSC_setBBWCET(38000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 633296 */
void function21() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event1_st_0_handler);
  ActivateTask(event1_st_2_handler);
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(9000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(34);
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(22000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(27);
          RTSC_setBBWCET(24000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(35);
            RTSC_setBBWCET(7000ULL);
            /* Loop Depth = 3 */
            RTSC_setBBWCET(0ULL);
            /* Loop Depth = 3 */
            RTSC_setBBWCET(3000ULL);
            /* Loop Depth = 3 */
            RTSC_setBBWCET(2000ULL);
            /* Loop Depth = 3 */
            RTSC_setBBWCET(0ULL);
            /* Loop Depth = 3 */
            RTSC_setBBWCET(6000ULL);
            /* Loop Depth = 3 */
            RTSC_setBBWCET(0ULL);
            /* Loop Depth = 3 */
            RTSC_setBBWCET(0ULL);
            while(magic_loop_condition()) {
              RTSC_setLoopCount(1);
              RTSC_setBBWCET(1000ULL);
            }
            RTSC_setBBWCET(0ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(8000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(10000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(23);
          RTSC_setBBWCET(809000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    function22();
    ActivateTask(event1_st_1_handler);
    RTSC_setBBWCET(316644000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 316648 */
void function22() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function23();
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(237485000ULL);
}

/* WCET = 79162 */
void function23() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(7000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(9);
    RTSC_setBBWCET(8794000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 4374581 */
void function24() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(4374573000ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(12000ULL);
      /* Loop Depth = 0 */
      function25();
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(7000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(35);
        RTSC_setBBWCET(121862000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(4374573000ULL);
    }
    else {
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(22);
        RTSC_setBBWCET(198844000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 109364 */
void function25() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(26000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(31);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(1);
        RTSC_setBBWCET(9000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        function27();
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(1000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(6);
          RTSC_setBBWCET(220000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(34000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(40);
        RTSC_setBBWCET(87000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2187 */
void function27() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(19000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(38);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(4000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(41);
      RTSC_setBBWCET(1000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 5671806 */
void function28() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(7000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(5000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(14);
        RTSC_setBBWCET(405126000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      function29();
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(13000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(14);
        RTSC_setBBWCET(324102000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(10000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(16);
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(354484000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1134361 */
void function29() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(2);
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(567179000ULL);
    }
    else {
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      function30();
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      function31();
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(22);
        RTSC_setBBWCET(12890000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 141795 */
void function30() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(13000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(43);
    RTSC_setBBWCET(3297000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 141795 */
void function31() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(11000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(20);
    RTSC_setBBWCET(7089000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 5662337 */
void function32() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event2_st_0_handler);
  ActivateTask(event2_st_1_handler);
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(25000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(29);
        RTSC_setBBWCET(195252000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(12000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      function33();
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(4529851000ULL);
      }
      else {
        RTSC_setBBWCET(1000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(39);
          RTSC_setBBWCET(116150000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1132467 */
void function33() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    function35();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    function34();
    RTSC_setBBWCET(8000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(34000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(39);
      RTSC_setBBWCET(19357000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(21000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(30);
      RTSC_setBBWCET(37748000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 188744 */
void function34() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(6);
    RTSC_setBBWCET(31456000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 188745 */
void function35() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(188741000ULL);
  }
  else {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(18);
      RTSC_setBBWCET(10485000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}


