#include "os.h"
#include "rtsc_annotate.h"
DeclareTask(event0_st_0_handler);
DeclareTask(event0_st_1_handler);
DeclareTask(event0_st_2_handler);
DeclareTask(event1_st_0_handler);
DeclareTask(event1_st_1_handler);
DeclareTask(event1_st_2_handler);
DeclareTask(event1_st_3_handler);
DeclareTask(event2_st_0_handler);
DeclareTask(event2_st_1_handler);
DeclareTask(event2_st_2_handler);
DeclareTask(event2_st_3_handler);
void function0();
void function1();
void function2();
void function4();
void function5();
void function7();
void function8();
void function9();
void function11();
void function12();
void function13();
void function14();
void function15();
void function16();
void function17();
void function18();
void function19();
void function20();
void function21();
void function22();
void function23();
void function24();
void function25();
void function26();
void function27();
void function28();
void function29();
void function30();
void function31();
void function32();
void function33();
void function34();
void function35();

int magic_branch_condition();
int magic_loop_condition();

TASK(event0_st_0_handler) {
  // requested utilisation = 0.536834
  // requested wcet        = 7862717us
  // period                = 14646450us
  // act                   = 1
  function0(); // estimated wcet = 7862717us
  // estimated total wcet        = 7862717
  // estimated total utilisation = 0.536834
}
TASK(event0_st_1_handler) {
  // requested utilisation = 0.725281
  // requested wcet        = 10622786us
  // period                = 14646450us
  // act                   = 1
  function4(); // estimated wcet = 10622786us
  // estimated total wcet        = 10622786
  // estimated total utilisation = 0.725281
}
TASK(event0_st_2_handler) {
  // requested utilisation = 0.693609
  // requested wcet        = 10158909us
  // period                = 14646450us
  // act                   = 1
  function8(); // estimated wcet = 10158909us
  // estimated total wcet        = 10158909
  // estimated total utilisation = 0.693609
}
TASK(event1_st_0_handler) {
  // requested utilisation = 0.0903256
  // requested wcet        = 2645897us
  // period                = 29292900us
  // act                   = 1
  function12(); // estimated wcet = 2645897us
  // estimated total wcet        = 2645897
  // estimated total utilisation = 0.0903255
}
TASK(event1_st_1_handler) {
  // requested utilisation = 0.135791
  // requested wcet        = 3977725us
  // period                = 29292900us
  // act                   = 1
  function15(); // estimated wcet = 3977725us
  // estimated total wcet        = 3977725
  // estimated total utilisation = 0.135791
}
TASK(event1_st_2_handler) {
  // requested utilisation = 0.0184895
  // requested wcet        = 541609us
  // period                = 29292900us
  // act                   = 1
  function18(); // estimated wcet = 541609us
  // estimated total wcet        = 541609
  // estimated total utilisation = 0.0184894
}
TASK(event1_st_3_handler) {
  // requested utilisation = 0.063046
  // requested wcet        = 1846801us
  // period                = 29292900us
  // act                   = 1
  function21(); // estimated wcet = 1846801us
  // estimated total wcet        = 1846801
  // estimated total utilisation = 0.063046
}
TASK(event2_st_0_handler) {
  // requested utilisation = 0.203649
  // requested wcet        = 2982733us
  // period                = 14646450us
  // act                   = 1
  function24(); // estimated wcet = 2982733us
  // estimated total wcet        = 2982733
  // estimated total utilisation = 0.203649
}
TASK(event2_st_1_handler) {
  // requested utilisation = 0.606318
  // requested wcet        = 8880411us
  // period                = 14646450us
  // act                   = 1
  function27(); // estimated wcet = 8880411us
  // estimated total wcet        = 8880411
  // estimated total utilisation = 0.606318
}
TASK(event2_st_2_handler) {
  // requested utilisation = 0.227452
  // requested wcet        = 3331364us
  // period                = 14646450us
  // act                   = 1
  function30(); // estimated wcet = 3331364us
  // estimated total wcet        = 3331364
  // estimated total utilisation = 0.227452
}
TASK(event2_st_3_handler) {
  // requested utilisation = 0.499204
  // requested wcet        = 7311571us
  // period                = 14646450us
  // act                   = 1
  function33(); // estimated wcet = 7311571us
  // estimated total wcet        = 7311571
  // estimated total utilisation = 0.499204
}
// total utilisation = 3.8

/* WCET = 7862717 */
void function0() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  function1();
  RTSC_setBBWCET(19000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(36);
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(13);
        RTSC_setBBWCET(12600000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(163800000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1965679 */
void function1() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  function2();
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(982836000ULL);
  }
  else {
    RTSC_setBBWCET(982836000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 982839 */
void function2() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(39000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(45);
      RTSC_setBBWCET(21840000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(982839000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 10622786 */
void function4() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 0 */
    function5();
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(11000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(19);
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(5000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(447265000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(8498223000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(9000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(10622777000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2124557 */
void function5() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    function7();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(9000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(32);
      RTSC_setBBWCET(44261000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(2124556000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 708185 */
void function7() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(23000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(42);
    RTSC_setBBWCET(16861000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 10158909 */
void function8() {
  RTSC_setBBWCET(8000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event0_st_0_handler);
  ActivateTask(event0_st_1_handler);
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(2);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      function9();
      RTSC_setBBWCET(3047667000ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(5079450000ULL);
      }
      else {
        RTSC_setBBWCET(5079450000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2031781 */
void function9() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(2031779000ULL);
  }
  else {
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    function11();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(5000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(10);
      RTSC_setBBWCET(101588000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1015890 */
void function11() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(9000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(16);
    RTSC_setBBWCET(63492000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2645897 */
void function12() {
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  function13();
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(10000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(5);
    RTSC_setBBWCET(396880000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 661474 */
void function13() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  function14();
  RTSC_setBBWCET(11000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(34);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(14591000ULL);
    }
    else {
      RTSC_setBBWCET(14591000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 165368 */
void function14() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(30);
    RTSC_setBBWCET(5512000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 3977725 */
void function15() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(1);
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 2 */
        function16();
        RTSC_setBBWCET(2983280000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(37000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(44);
        RTSC_setBBWCET(90402000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 994431 */
void function16() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function17();
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(961272000ULL);
  }
  else {
    RTSC_setBBWCET(961272000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 33147 */
void function17() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(6);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(4000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(40);
      RTSC_setBBWCET(138000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 541609 */
void function18() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(18000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(20);
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(1);
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(12000ULL);
      /* Loop Depth = 2 */
      function19();
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(7000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(9);
        RTSC_setBBWCET(1502000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 13540 */
void function19() {
  RTSC_setBBWCET(8000ULL);
  /* Loop Depth = 0 */
  function20();
  RTSC_setBBWCET(31000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(42);
    RTSC_setBBWCET(7000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(203000ULL);
    }
    else {
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(204000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 4513 */
void function20() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(4513000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(36000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(37);
      RTSC_setBBWCET(121000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1846801 */
void function21() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  ActivateTask(event1_st_1_handler);
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  ActivateTask(event1_st_0_handler);
  ActivateTask(event1_st_2_handler);
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(12000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(8000ULL);
        /* Loop Depth = 1 */
        function22();
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(7000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(12);
          RTSC_setBBWCET(102597000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(17000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(36);
          RTSC_setBBWCET(51299000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(1846789000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 615600 */
void function22() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function23();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(492476000ULL);
    }
    else {
      RTSC_setBBWCET(492476000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(492476000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 123120 */
void function23() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(10000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(19);
      RTSC_setBBWCET(6479000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(123117000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2982733 */
void function24() {
  RTSC_setBBWCET(10000ULL);
  /* Loop Depth = 0 */
  function25();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(7000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(9);
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(7000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(23000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(25);
          RTSC_setBBWCET(10604000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(265130000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(25000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(36);
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(9000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(19);
        RTSC_setBBWCET(3488000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 596546 */
void function25() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    function26();
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(15000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(43);
      RTSC_setBBWCET(11098000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(596544000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 119309 */
void function26() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(10);
    RTSC_setBBWCET(11930000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 8880411 */
void function27() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(9000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(9000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(17);
      RTSC_setBBWCET(16000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(36);
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(14510000ULL);
        }
        else {
          RTSC_setBBWCET(14510000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    function28();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(9000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(34000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(39);
      RTSC_setBBWCET(222009000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 222010 */
void function28() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    function29();
    RTSC_setBBWCET(148004000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 74003 */
void function29() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(8);
    RTSC_setBBWCET(9250000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 3331364 */
void function30() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(17000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(24);
      RTSC_setBBWCET(138806000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(3331363000ULL);
    }
    else {
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      function31();
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(35000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(38);
        RTSC_setBBWCET(70133000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 666272 */
void function31() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function32();
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(333136000ULL);
  }
  else {
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(333130000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 333136 */
void function32() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(13000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(24);
    RTSC_setBBWCET(13880000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 7311571 */
void function33() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event2_st_0_handler);
  ActivateTask(event2_st_1_handler);
  ActivateTask(event2_st_2_handler);
  RTSC_setBBWCET(4000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(9);
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    function34();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(30);
        RTSC_setBBWCET(18955000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(568660000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 243719 */
void function34() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(2);
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    function35();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(5000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(8);
      RTSC_setBBWCET(7615000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 60929 */
void function35() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(29000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(32);
    RTSC_setBBWCET(1903000ULL);
  }
  RTSC_setBBWCET(0ULL);
}


