#include "os.h"
#include "rtsc_annotate.h"
DeclareTask(event0_st_0_handler);
DeclareTask(event0_st_1_handler);
DeclareTask(event0_st_2_handler);
DeclareTask(event0_st_3_handler);
DeclareTask(event1_st_0_handler);
DeclareTask(event1_st_1_handler);
DeclareTask(event1_st_2_handler);
DeclareTask(event1_st_3_handler);
DeclareTask(event2_st_0_handler);
DeclareTask(event2_st_1_handler);
DeclareTask(event2_st_2_handler);
DeclareTask(event2_st_3_handler);
DeclareTask(event3_st_0_handler);
DeclareTask(event3_st_1_handler);
DeclareTask(event3_st_2_handler);
DeclareTask(event3_st_3_handler);
void function0();
void function2();
void function4();
void function6();
void function8();
void function10();
void function12();
void function14();
void function16();
void function18();
void function20();
void function22();
void function24();
void function26();
void function28();
void function30();

int magic_branch_condition();
int magic_loop_condition();

TASK(event0_st_0_handler) {
  // requested utilisation = 0.142174
  // requested wcet        = 8681762us
  // period                = 61064460us
  // act                   = 1
  function0(); // estimated wcet = 8681762us
  // estimated total wcet        = 8681762
  // estimated total utilisation = 0.142174
}
TASK(event0_st_1_handler) {
  // requested utilisation = 0.121292
  // requested wcet        = 7406627us
  // period                = 61064460us
  // act                   = 1
  function2(); // estimated wcet = 7406627us
  // estimated total wcet        = 7406627
  // estimated total utilisation = 0.121292
}
TASK(event0_st_2_handler) {
  // requested utilisation = 0.196822
  // requested wcet        = 12018814us
  // period                = 61064460us
  // act                   = 1
  function4(); // estimated wcet = 12018814us
  // estimated total wcet        = 12018814
  // estimated total utilisation = 0.196822
}
TASK(event0_st_3_handler) {
  // requested utilisation = 0.0395421
  // requested wcet        = 2414615us
  // period                = 61064460us
  // act                   = 1
  function6(); // estimated wcet = 2414615us
  // estimated total wcet        = 2414615
  // estimated total utilisation = 0.0395421
}
TASK(event1_st_0_handler) {
  // requested utilisation = 0.349884
  // requested wcet        = 10682746us
  // period                = 30532230us
  // act                   = 1
  function8(); // estimated wcet = 10682746us
  // estimated total wcet        = 10682746
  // estimated total utilisation = 0.349884
}
TASK(event1_st_1_handler) {
  // requested utilisation = 0.241159
  // requested wcet        = 7363107us
  // period                = 30532230us
  // act                   = 1
  function10(); // estimated wcet = 7363107us
  // estimated total wcet        = 7363107
  // estimated total utilisation = 0.241159
}
TASK(event1_st_2_handler) {
  // requested utilisation = 0.224809
  // requested wcet        = 6863914us
  // period                = 30532230us
  // act                   = 1
  function12(); // estimated wcet = 6863914us
  // estimated total wcet        = 6863914
  // estimated total utilisation = 0.224809
}
TASK(event1_st_3_handler) {
  // requested utilisation = 0.0666252
  // requested wcet        = 2034214us
  // period                = 30532230us
  // act                   = 1
  function14(); // estimated wcet = 2034214us
  // estimated total wcet        = 2034214
  // estimated total utilisation = 0.0666251
}
TASK(event2_st_0_handler) {
  // requested utilisation = 0.195812
  // requested wcet        = 11957171us
  // period                = 61064460us
  // act                   = 1
  function16(); // estimated wcet = 11957171us
  // estimated total wcet        = 11957171
  // estimated total utilisation = 0.195812
}
TASK(event2_st_1_handler) {
  // requested utilisation = 0.0888742
  // requested wcet        = 5427055us
  // period                = 61064460us
  // act                   = 1
  function18(); // estimated wcet = 5427055us
  // estimated total wcet        = 5427055
  // estimated total utilisation = 0.0888742
}
TASK(event2_st_2_handler) {
  // requested utilisation = 0.354052
  // requested wcet        = 21619976us
  // period                = 61064460us
  // act                   = 1
  function20(); // estimated wcet = 21619976us
  // estimated total wcet        = 21619976
  // estimated total utilisation = 0.354052
}
TASK(event2_st_3_handler) {
  // requested utilisation = 0.0549141
  // requested wcet        = 3353302us
  // period                = 61064460us
  // act                   = 1
  function22(); // estimated wcet = 3353302us
  // estimated total wcet        = 3353302
  // estimated total utilisation = 0.0549141
}
TASK(event3_st_0_handler) {
  // requested utilisation = 0.464793
  // requested wcet        = 14191175us
  // period                = 30532230us
  // act                   = 1
  function24(); // estimated wcet = 14191175us
  // estimated total wcet        = 14191175
  // estimated total utilisation = 0.464793
}
TASK(event3_st_1_handler) {
  // requested utilisation = 0.660808
  // requested wcet        = 20175952us
  // period                = 30532230us
  // act                   = 1
  function26(); // estimated wcet = 20175952us
  // estimated total wcet        = 20175952
  // estimated total utilisation = 0.660808
}
TASK(event3_st_2_handler) {
  // requested utilisation = 0.582105
  // requested wcet        = 17772972us
  // period                = 30532230us
  // act                   = 1
  function28(); // estimated wcet = 17772972us
  // estimated total wcet        = 17772972
  // estimated total utilisation = 0.582105
}
TASK(event3_st_3_handler) {
  // requested utilisation = 0.0163346
  // requested wcet        = 498731us
  // period                = 30532230us
  // act                   = 1
  function30(); // estimated wcet = 498731us
  // estimated total wcet        = 498731
  // estimated total utilisation = 0.0163346
}
// total utilisation = 3.8

/* WCET = 8681762 */
void function0() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(15000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(19);
      RTSC_setBBWCET(456934000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(8681761000ULL);
    }
    else {
      RTSC_setBBWCET(11000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(22);
        RTSC_setBBWCET(394625000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 7406627 */
void function2() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(7406625000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(22000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(35);
      RTSC_setBBWCET(9000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(18);
        RTSC_setBBWCET(6000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(11748000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 12018814 */
void function4() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(33);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(364205000ULL);
    }
    else {
      RTSC_setBBWCET(11000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(13);
        RTSC_setBBWCET(6000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(5000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(6000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(17000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(29);
          RTSC_setBBWCET(964000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2414615 */
void function6() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event0_st_0_handler);
  ActivateTask(event0_st_1_handler);
  ActivateTask(event0_st_2_handler);
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(23000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(44);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(10000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(33000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(37);
        RTSC_setBBWCET(0ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(13);
          RTSC_setBBWCET(0ULL);
          if(magic_branch_condition()) {
            RTSC_setBBWCET(0ULL);
            /* Loop Depth = 3 */
            RTSC_setBBWCET(114000ULL);
          }
          else {
            RTSC_setBBWCET(12000ULL);
            while(magic_loop_condition()) {
              RTSC_setLoopCount(34);
              RTSC_setBBWCET(3000ULL);
            }
            RTSC_setBBWCET(0ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(54873000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 10682746 */
void function8() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(10682740000ULL);
  }
  else {
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(10682741000ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(18000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(32);
        RTSC_setBBWCET(333835000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 7363107 */
void function10() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(7363105000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(9000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(26);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(11000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(16);
        RTSC_setBBWCET(17698000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 6863914 */
void function12() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6863910000ULL);
  }
  else {
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(7000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(7000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(9);
        RTSC_setBBWCET(762655000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(6863911000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2034214 */
void function14() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(8000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  ActivateTask(event1_st_2_handler);
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  ActivateTask(event1_st_0_handler);
  RTSC_setBBWCET(7000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(9000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(2034189000ULL);
    }
    else {
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(10000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(9000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(25);
        RTSC_setBBWCET(81366000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(7000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(7000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(11000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    ActivateTask(event1_st_1_handler);
    RTSC_setBBWCET(2000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(13);
      RTSC_setBBWCET(156472000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 11957171 */
void function16() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(6);
    RTSC_setBBWCET(9000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(12);
      RTSC_setBBWCET(4000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(31);
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(9000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(17);
          RTSC_setBBWCET(6000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(11);
            RTSC_setBBWCET(7000ULL);
            /* Loop Depth = 5 */
            RTSC_setBBWCET(2000ULL);
            /* Loop Depth = 5 */
            RTSC_setBBWCET(9000ULL);
            while(magic_loop_condition()) {
              RTSC_setLoopCount(10);
              RTSC_setBBWCET(1000ULL);
            }
            RTSC_setBBWCET(0ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 5427055 */
void function18() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(3000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(34);
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(11000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(30);
        RTSC_setBBWCET(5320000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(5427049000ULL);
    }
    else {
      RTSC_setBBWCET(5427049000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 21619976 */
void function20() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(16000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(34);
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(635880000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(21619976000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 3353302 */
void function22() {
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event2_st_0_handler);
  ActivateTask(event2_st_1_handler);
  ActivateTask(event2_st_2_handler);
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(8);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(7000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(419155000ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(419162000ULL);
      }
      else {
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(419160000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 14191175 */
void function24() {
  RTSC_setBBWCET(10000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(20000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(22);
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(645050000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(24000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(37);
        RTSC_setBBWCET(383544000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(10000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(14191155000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 20175952 */
void function26() {
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(9000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(8000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(13000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(20);
      RTSC_setBBWCET(1008795000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(20175945000ULL);
    }
    else {
      RTSC_setBBWCET(20175945000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 17772972 */
void function28() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(19000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(37);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(29000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(36);
        RTSC_setBBWCET(13342000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(25);
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(19214000ULL);
        }
        else {
          RTSC_setBBWCET(19214000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 498731 */
void function30() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  ActivateTask(event3_st_0_handler);
  ActivateTask(event3_st_1_handler);
  ActivateTask(event3_st_2_handler);
  RTSC_setBBWCET(11000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(40);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(27000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(33);
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(6000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(10000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(3000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(1000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(4000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(8000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(15);
            RTSC_setBBWCET(23000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(12468000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(12468000ULL);
      }
      else {
        RTSC_setBBWCET(12468000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}


