#include "os.h"
#include "rtsc_annotate.h"
DeclareTask(event0_st_0_handler);
DeclareTask(event0_st_1_handler);
DeclareTask(event0_st_2_handler);
DeclareTask(event0_st_3_handler);
DeclareTask(event1_st_0_handler);
DeclareTask(event1_st_1_handler);
DeclareTask(event1_st_2_handler);
DeclareTask(event1_st_3_handler);
DeclareTask(event2_st_0_handler);
DeclareTask(event2_st_1_handler);
DeclareTask(event3_st_0_handler);
DeclareTask(event3_st_1_handler);
DeclareTask(event3_st_2_handler);
DeclareTask(event3_st_3_handler);
void function0();
void function2();
void function4();
void function6();
void function8();
void function10();
void function12();
void function14();
void function16();
void function17();
void function18();
void function19();
void function20();
void function21();
void function22();
void function23();
void function24();
void function25();
void function26();
void function28();
void function30();
void function32();

int magic_branch_condition();
int magic_loop_condition();

TASK(event0_st_0_handler) {
  // requested utilisation = 0.264078
  // requested wcet        = 10735241us
  // period                = 40651810us
  // act                   = 1
  function0(); // estimated wcet = 10735241us
  // estimated total wcet        = 10735241
  // estimated total utilisation = 0.264078
}
TASK(event0_st_1_handler) {
  // requested utilisation = 0.156419
  // requested wcet        = 6358716us
  // period                = 40651810us
  // act                   = 1
  function2(); // estimated wcet = 6358716us
  // estimated total wcet        = 6358716
  // estimated total utilisation = 0.156419
}
TASK(event0_st_2_handler) {
  // requested utilisation = 0.401186
  // requested wcet        = 16308931us
  // period                = 40651810us
  // act                   = 1
  function4(); // estimated wcet = 16308931us
  // estimated total wcet        = 16308931
  // estimated total utilisation = 0.401186
}
TASK(event0_st_3_handler) {
  // requested utilisation = 0.454774
  // requested wcet        = 18487380us
  // period                = 40651810us
  // act                   = 1
  function6(); // estimated wcet = 18487380us
  // estimated total wcet        = 18487380
  // estimated total utilisation = 0.454774
}
TASK(event1_st_0_handler) {
  // requested utilisation = 0.142261
  // requested wcet        = 11566372us
  // period                = 81303620us
  // act                   = 1
  function8(); // estimated wcet = 11566372us
  // estimated total wcet        = 11566372
  // estimated total utilisation = 0.142261
}
TASK(event1_st_1_handler) {
  // requested utilisation = 0.364122
  // requested wcet        = 29604406us
  // period                = 81303620us
  // act                   = 1
  function10(); // estimated wcet = 29604406us
  // estimated total wcet        = 29604406
  // estimated total utilisation = 0.364122
}
TASK(event1_st_2_handler) {
  // requested utilisation = 0.0112906
  // requested wcet        = 917966us
  // period                = 81303620us
  // act                   = 1
  function12(); // estimated wcet = 917966us
  // estimated total wcet        = 917966
  // estimated total utilisation = 0.0112906
}
TASK(event1_st_3_handler) {
  // requested utilisation = 0.479286
  // requested wcet        = 38967660us
  // period                = 81303620us
  // act                   = 1
  function14(); // estimated wcet = 38967660us
  // estimated total wcet        = 38967660
  // estimated total utilisation = 0.479286
}
TASK(event2_st_0_handler) {
  // requested utilisation = 0.0213616
  // requested wcet        = 1736771us
  // period                = 81303620us
  // act                   = 1
  function16(); // estimated wcet = 1736771us
  // estimated total wcet        = 1736771
  // estimated total utilisation = 0.0213615
}
TASK(event2_st_1_handler) {
  // requested utilisation = 0.403048
  // requested wcet        = 32769272us
  // period                = 81303620us
  // act                   = 1
  function21(); // estimated wcet = 32769272us
  // estimated total wcet        = 32769272
  // estimated total utilisation = 0.403048
}
TASK(event3_st_0_handler) {
  // requested utilisation = 0.357263
  // requested wcet        = 14523380us
  // period                = 40651810us
  // act                   = 1
  function26(); // estimated wcet = 14523380us
  // estimated total wcet        = 14523380
  // estimated total utilisation = 0.357263
}
TASK(event3_st_1_handler) {
  // requested utilisation = 0.284061
  // requested wcet        = 11547584us
  // period                = 40651810us
  // act                   = 1
  function28(); // estimated wcet = 11547584us
  // estimated total wcet        = 11547584
  // estimated total utilisation = 0.284061
}
TASK(event3_st_2_handler) {
  // requested utilisation = 0.263804
  // requested wcet        = 10724093us
  // period                = 40651810us
  // act                   = 1
  function30(); // estimated wcet = 10724093us
  // estimated total wcet        = 10724093
  // estimated total utilisation = 0.263804
}
TASK(event3_st_3_handler) {
  // requested utilisation = 0.197047
  // requested wcet        = 8010318us
  // period                = 40651810us
  // act                   = 1
  function32(); // estimated wcet = 8010318us
  // estimated total wcet        = 8010318
  // estimated total utilisation = 0.197047
}
// total utilisation = 3.8

/* WCET = 10735241 */
void function0() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(12000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(29);
      RTSC_setBBWCET(370179000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(10735237000ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(36);
        RTSC_setBBWCET(298200000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 6358716 */
void function2() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(6000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(30);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(20000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(25);
        RTSC_setBBWCET(8477000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(12);
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(26000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(27);
          RTSC_setBBWCET(0ULL);
          if(magic_branch_condition()) {
            RTSC_setBBWCET(653000ULL);
          }
          else {
            RTSC_setBBWCET(0ULL);
            /* Loop Depth = 3 */
            RTSC_setBBWCET(653000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 16308931 */
void function4() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(16308931000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(16000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(21);
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(776615000ULL);
      }
      else {
        RTSC_setBBWCET(15000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(44);
          RTSC_setBBWCET(1000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(9);
            RTSC_setBBWCET(1000ULL);
            while(magic_loop_condition()) {
              RTSC_setLoopCount(5);
              RTSC_setBBWCET(18000ULL);
              while(magic_loop_condition()) {
                RTSC_setLoopCount(34);
                RTSC_setBBWCET(11000ULL);
              }
              RTSC_setBBWCET(0ULL);
            }
            RTSC_setBBWCET(0ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 18487380 */
void function6() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  ActivateTask(event0_st_0_handler);
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    ActivateTask(event0_st_1_handler);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      ActivateTask(event0_st_2_handler);
      RTSC_setBBWCET(18487364000ULL);
    }
    else {
      RTSC_setBBWCET(18487364000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(18487376000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 11566372 */
void function8() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(5000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(38);
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(7000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(27);
          RTSC_setBBWCET(11273000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(304378000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(11566369000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 29604406 */
void function10() {
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(35);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(845840000ULL);
    }
    else {
      RTSC_setBBWCET(7000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(9000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(19);
        RTSC_setBBWCET(44516000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 917966 */
void function12() {
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(5);
    RTSC_setBBWCET(9000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(35);
      RTSC_setBBWCET(9000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(22);
        RTSC_setBBWCET(7000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(7000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(8);
          RTSC_setBBWCET(28000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 38967660 */
void function14() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event1_st_0_handler);
  ActivateTask(event1_st_1_handler);
  ActivateTask(event1_st_2_handler);
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(38967658000ULL);
    }
    else {
      RTSC_setBBWCET(35000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(37);
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(2000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(6000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(1053171000ULL);
        }
        else {
          RTSC_setBBWCET(1053179000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(28000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(39);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(999170000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1736771 */
void function16() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function17();
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(2000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(3);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      function18();
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(6000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(12);
        RTSC_setBBWCET(5000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(15000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(25);
          RTSC_setBBWCET(964000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 217096 */
void function17() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  function20();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(17000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(40);
      RTSC_setBBWCET(4070000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    function19();
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(29);
      RTSC_setBBWCET(3743000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 217096 */
void function18() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(217088000ULL);
  }
  else {
    RTSC_setBBWCET(217088000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 54274 */
void function19() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(54272000ULL);
  }
  else {
    RTSC_setBBWCET(54272000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 54274 */
void function20() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(54270000ULL);
  }
  else {
    RTSC_setBBWCET(54270000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 32769272 */
void function21() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event2_st_0_handler);
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(1);
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(32769264000ULL);
        }
        else {
          RTSC_setBBWCET(32769264000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 2 */
        function23();
        function22();
        RTSC_setBBWCET(16384625000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 8192318 */
void function22() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function25();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    function24();
    RTSC_setBBWCET(6144236000ULL);
  }
  else {
    RTSC_setBBWCET(7168276000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 8192318 */
void function23() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(7000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(15);
      RTSC_setBBWCET(546154000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(8192317000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1024039 */
void function24() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(8000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(23);
    RTSC_setBBWCET(44523000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1024040 */
void function25() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1024038000ULL);
  }
  else {
    RTSC_setBBWCET(1024038000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 14523380 */
void function26() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(6);
    RTSC_setBBWCET(5000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(7);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(5000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(27);
          RTSC_setBBWCET(2000ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(1000ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(12804000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(345794000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 11547584 */
void function28() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(11547583000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(27000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(34);
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(6);
        RTSC_setBBWCET(5000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(25);
          RTSC_setBBWCET(10000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(14);
            RTSC_setBBWCET(0ULL);
            if(magic_branch_condition()) {
              RTSC_setBBWCET(161000ULL);
            }
            else {
              RTSC_setBBWCET(161000ULL);
            }
            RTSC_setBBWCET(0ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 10724093 */
void function30() {
  RTSC_setBBWCET(7000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(10724086000ULL);
    }
    else {
      RTSC_setBBWCET(16000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(42);
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(255335000ULL);
        }
        else {
          RTSC_setBBWCET(255335000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(10724086000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 8010318 */
void function32() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event3_st_0_handler);
  ActivateTask(event3_st_1_handler);
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event3_st_2_handler);
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(8010308000ULL);
    }
    else {
      RTSC_setBBWCET(8010308000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(8010308000ULL);
  }
  RTSC_setBBWCET(0ULL);
}


