#include "os.h"
#include "rtsc_annotate.h"
DeclareTask(event0_st_0_handler);
DeclareTask(event0_st_1_handler);
DeclareTask(event0_st_2_handler);
DeclareTask(event0_st_3_handler);
DeclareTask(event1_st_0_handler);
DeclareTask(event1_st_1_handler);
DeclareTask(event1_st_2_handler);
DeclareTask(event1_st_3_handler);
DeclareTask(event2_st_0_handler);
DeclareTask(event2_st_1_handler);
DeclareTask(event3_st_0_handler);
DeclareTask(event3_st_1_handler);
void function0();
void function2();
void function4();
void function6();
void function8();
void function10();
void function12();
void function14();
void function16();
void function17();
void function18();
void function19();
void function20();
void function21();
void function22();
void function23();
void function24();
void function25();
void function26();
void function27();
void function28();
void function29();
void function30();
void function31();
void function32();
void function33();
void function34();
void function35();

int magic_branch_condition();
int magic_loop_condition();

TASK(event0_st_0_handler) {
  // requested utilisation = 0.0203071
  // requested wcet        = 2006424us
  // period                = 98803990us
  // act                   = 1
  function0(); // estimated wcet = 2006424us
  // estimated total wcet        = 2006424
  // estimated total utilisation = 0.0203071
}
TASK(event0_st_1_handler) {
  // requested utilisation = 0.0818476
  // requested wcet        = 8086872us
  // period                = 98803990us
  // act                   = 1
  function2(); // estimated wcet = 8086872us
  // estimated total wcet        = 8086872
  // estimated total utilisation = 0.0818476
}
TASK(event0_st_2_handler) {
  // requested utilisation = 0.0339278
  // requested wcet        = 3352197us
  // period                = 98803990us
  // act                   = 1
  function4(); // estimated wcet = 3352197us
  // estimated total wcet        = 3352197
  // estimated total utilisation = 0.0339277
}
TASK(event0_st_3_handler) {
  // requested utilisation = 0.0606737
  // requested wcet        = 5994806us
  // period                = 98803990us
  // act                   = 1
  function6(); // estimated wcet = 5994806us
  // estimated total wcet        = 5994806
  // estimated total utilisation = 0.0606737
}
TASK(event1_st_0_handler) {
  // requested utilisation = 0.381567
  // requested wcet        = 37700304us
  // period                = 98803990us
  // act                   = 1
  function8(); // estimated wcet = 37700304us
  // estimated total wcet        = 37700304
  // estimated total utilisation = 0.381567
}
TASK(event1_st_1_handler) {
  // requested utilisation = 0.161971
  // requested wcet        = 16003395us
  // period                = 98803990us
  // act                   = 1
  function10(); // estimated wcet = 16003395us
  // estimated total wcet        = 16003395
  // estimated total utilisation = 0.161971
}
TASK(event1_st_2_handler) {
  // requested utilisation = 0.281892
  // requested wcet        = 27852060us
  // period                = 98803990us
  // act                   = 1
  function12(); // estimated wcet = 27852060us
  // estimated total wcet        = 27852060
  // estimated total utilisation = 0.281892
}
TASK(event1_st_3_handler) {
  // requested utilisation = 0.411157
  // requested wcet        = 40624000us
  // period                = 98803990us
  // act                   = 1
  function14(); // estimated wcet = 40624000us
  // estimated total wcet        = 40624000
  // estimated total utilisation = 0.411157
}
TASK(event2_st_0_handler) {
  // requested utilisation = 0.813889
  // requested wcet        = 80415480us
  // period                = 98803990us
  // act                   = 1
  function16(); // estimated wcet = 80415480us
  // estimated total wcet        = 80415480
  // estimated total utilisation = 0.813889
}
TASK(event2_st_1_handler) {
  // requested utilisation = 0.737834
  // requested wcet        = 72900928us
  // period                = 98803990us
  // act                   = 1
  function21(); // estimated wcet = 72900928us
  // estimated total wcet        = 72900928
  // estimated total utilisation = 0.737834
}
TASK(event3_st_0_handler) {
  // requested utilisation = 0.569856
  // requested wcet        = 56304024us
  // period                = 98803990us
  // act                   = 1
  function26(); // estimated wcet = 56304024us
  // estimated total wcet        = 56304024
  // estimated total utilisation = 0.569856
}
TASK(event3_st_1_handler) {
  // requested utilisation = 0.245078
  // requested wcet        = 24214668us
  // period                = 98803990us
  // act                   = 1
  function31(); // estimated wcet = 24214668us
  // estimated total wcet        = 24214668
  // estimated total utilisation = 0.245078
}
// total utilisation = 3.8

/* WCET = 2006424 */
void function0() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(2006424000ULL);
      }
      else {
        RTSC_setBBWCET(2006424000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2006420000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(5000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(16);
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(125400000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 8086872 */
void function2() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(9);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(898541000ULL);
      }
      else {
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(6000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(5000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(8000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(37);
          RTSC_setBBWCET(24284000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(35000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(42);
        RTSC_setBBWCET(21393000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 3352197 */
void function4() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(17);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(22000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(43);
          RTSC_setBBWCET(4585000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(3000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(9000ULL);
          /* Loop Depth = 1 */
          RTSC_setBBWCET(5000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(29);
            RTSC_setBBWCET(6799000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        else {
          RTSC_setBBWCET(197188000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(28000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(38);
        RTSC_setBBWCET(5188000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 5994806 */
void function6() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event0_st_1_handler);
  ActivateTask(event0_st_2_handler);
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event0_st_0_handler);
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(7000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(36);
    RTSC_setBBWCET(2000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(10);
      RTSC_setBBWCET(12000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(13);
        RTSC_setBBWCET(0ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(32);
          RTSC_setBBWCET(4000ULL);
          /* Loop Depth = 4 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 4 */
          RTSC_setBBWCET(4000ULL);
          /* Loop Depth = 4 */
          RTSC_setBBWCET(8000ULL);
          /* Loop Depth = 4 */
          RTSC_setBBWCET(3000ULL);
          /* Loop Depth = 4 */
          RTSC_setBBWCET(21000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 37700304 */
void function8() {
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(37700298000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(37700298000ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(37700298000ULL);
      }
      else {
        RTSC_setBBWCET(37700298000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 16003395 */
void function10() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(16000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(26);
        RTSC_setBBWCET(615514000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(16003387000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(41);
      RTSC_setBBWCET(390326000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 27852060 */
void function12() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(12000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(43);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(21000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(22);
        RTSC_setBBWCET(29440000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(8000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(647712000ULL);
      }
      else {
        RTSC_setBBWCET(647721000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 40624000 */
void function14() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(10000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(7000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(23);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(18000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(20);
        RTSC_setBBWCET(88311000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    ActivateTask(event1_st_0_handler);
    ActivateTask(event1_st_2_handler);
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    ActivateTask(event1_st_1_handler);
    RTSC_setBBWCET(13000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(16);
      RTSC_setBBWCET(2538999000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 80415480 */
void function16() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(1);
      RTSC_setBBWCET(0ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(1);
        RTSC_setBBWCET(11000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 2 */
        function18();
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 2 */
        function17();
        RTSC_setBBWCET(9000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(3000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(25000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(38);
          RTSC_setBBWCET(1058097000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(5000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(7);
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(11487925000ULL);
      }
      else {
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(0ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(4000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(7000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(14);
          RTSC_setBBWCET(820565000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 20103870 */
void function17() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function20();
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function19();
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(13402575000ULL);
}

/* WCET = 20103870 */
void function18() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(20103870000ULL);
  }
  else {
    RTSC_setBBWCET(20103870000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 3350645 */
void function19() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(21000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(26);
    RTSC_setBBWCET(128870000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 3350645 */
void function20() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(13000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(17);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(32000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(42);
      RTSC_setBBWCET(4692000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 72900928 */
void function21() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(72900928000ULL);
    }
    else {
      RTSC_setBBWCET(72900928000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(72900928000ULL);
      }
      else {
        RTSC_setBBWCET(72900928000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(9000ULL);
      /* Loop Depth = 0 */
      function22();
      ActivateTask(event2_st_0_handler);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      function23();
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(11000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(7000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(9000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(11000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(25000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(36);
        RTSC_setBBWCET(1518767000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 911261 */
void function22() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    function24();
    RTSC_setBBWCET(1000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(7);
      RTSC_setBBWCET(127576000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(911260000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 17313971 */
void function23() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function25();
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(11542646000ULL);
  }
  else {
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(8000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(25);
      RTSC_setBBWCET(461705000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 18225 */
void function24() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(9000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(24);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(759000ULL);
    }
    else {
      RTSC_setBBWCET(759000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 5771323 */
void function25() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(5771320000ULL);
  }
  else {
    RTSC_setBBWCET(5771320000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 56304024 */
void function26() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function28();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(14000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(22);
      RTSC_setBBWCET(8000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1343610000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(29559610000ULL);
    }
    else {
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      function27();
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(9);
        RTSC_setBBWCET(3128001000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1407600 */
void function27() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(4);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    function29();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(70378000ULL);
    }
    else {
      RTSC_setBBWCET(70378000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 26744412 */
void function28() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function30();
  RTSC_setBBWCET(10000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(11);
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(6000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(13);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(8);
        RTSC_setBBWCET(11686000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 281520 */
void function29() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(281520000ULL);
  }
  else {
    RTSC_setBBWCET(281520000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 13372206 */
void function30() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(14000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(21);
    RTSC_setBBWCET(636771000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 24214668 */
void function31() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function33();
  ActivateTask(event3_st_0_handler);
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(9000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(23000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(33);
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(660396000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    function32();
    RTSC_setBBWCET(3000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(22);
      RTSC_setBBWCET(880533000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2421466 */
void function32() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(1);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    function35();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(4000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(9);
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(134524000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2421467 */
void function33() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function34();
  RTSC_setBBWCET(2391192000ULL);
}

/* WCET = 30268 */
void function34() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(15000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(22);
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(5);
      RTSC_setBBWCET(275000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1210733 */
void function35() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1210733000ULL);
  }
  else {
    RTSC_setBBWCET(1210733000ULL);
  }
  RTSC_setBBWCET(0ULL);
}


