#include "os.h"
#include "rtsc_annotate.h"
DeclareTask(event0_st_0_handler);
DeclareTask(event0_st_1_handler);
DeclareTask(event1_st_0_handler);
DeclareTask(event1_st_1_handler);
DeclareTask(event1_st_2_handler);
DeclareTask(event2_st_0_handler);
DeclareTask(event2_st_1_handler);
DeclareTask(event2_st_2_handler);
DeclareTask(event2_st_3_handler);
DeclareTask(event3_st_0_handler);
DeclareTask(event3_st_1_handler);
DeclareTask(event3_st_2_handler);
DeclareTask(event3_st_3_handler);
void function0();
void function1();
void function2();
void function3();
void function4();
void function5();
void function6();
void function7();
void function8();
void function9();
void function10();
void function11();
void function12();
void function13();
void function14();
void function15();
void function16();
void function17();
void function18();
void function19();
void function21();
void function23();
void function25();
void function27();
void function29();
void function31();
void function33();

int magic_branch_condition();
int magic_loop_condition();

TASK(event0_st_0_handler) {
  // requested utilisation = 0.408007
  // requested wcet        = 9114440us
  // period                = 22338910us
  // act                   = 1
  function0(); // estimated wcet = 9114440us
  // estimated total wcet        = 9114440
  // estimated total utilisation = 0.408007
}
TASK(event0_st_1_handler) {
  // requested utilisation = 0.212751
  // requested wcet        = 4752619us
  // period                = 22338910us
  // act                   = 1
  function5(); // estimated wcet = 4752619us
  // estimated total wcet        = 4752619
  // estimated total utilisation = 0.212751
}
TASK(event1_st_0_handler) {
  // requested utilisation = 0.0981047
  // requested wcet        = 4383104us
  // period                = 44677820us
  // act                   = 1
  function10(); // estimated wcet = 4383104us
  // estimated total wcet        = 4383104
  // estimated total utilisation = 0.0981047
}
TASK(event1_st_1_handler) {
  // requested utilisation = 0.062133
  // requested wcet        = 2775966us
  // period                = 44677820us
  // act                   = 1
  function13(); // estimated wcet = 2775966us
  // estimated total wcet        = 2775966
  // estimated total utilisation = 0.062133
}
TASK(event1_st_2_handler) {
  // requested utilisation = 0.00464706
  // requested wcet        = 207620us
  // period                = 44677820us
  // act                   = 1
  function16(); // estimated wcet = 207620us
  // estimated total wcet        = 207620
  // estimated total utilisation = 0.00464705
}
TASK(event2_st_0_handler) {
  // requested utilisation = 0.523252
  // requested wcet        = 23377772us
  // period                = 44677820us
  // act                   = 1
  function19(); // estimated wcet = 23377772us
  // estimated total wcet        = 23377772
  // estimated total utilisation = 0.523252
}
TASK(event2_st_1_handler) {
  // requested utilisation = 0.445391
  // requested wcet        = 19899082us
  // period                = 44677820us
  // act                   = 1
  function21(); // estimated wcet = 19899082us
  // estimated total wcet        = 19899082
  // estimated total utilisation = 0.445391
}
TASK(event2_st_2_handler) {
  // requested utilisation = 0.187848
  // requested wcet        = 8392645us
  // period                = 44677820us
  // act                   = 1
  function23(); // estimated wcet = 8392645us
  // estimated total wcet        = 8392645
  // estimated total utilisation = 0.187848
}
TASK(event2_st_3_handler) {
  // requested utilisation = 0.113253
  // requested wcet        = 5059913us
  // period                = 44677820us
  // act                   = 1
  function25(); // estimated wcet = 5059913us
  // estimated total wcet        = 5059913
  // estimated total utilisation = 0.113253
}
TASK(event3_st_0_handler) {
  // requested utilisation = 0.242811
  // requested wcet        = 5424132us
  // period                = 22338910us
  // act                   = 1
  function27(); // estimated wcet = 5424132us
  // estimated total wcet        = 5424132
  // estimated total utilisation = 0.242811
}
TASK(event3_st_1_handler) {
  // requested utilisation = 0.594414
  // requested wcet        = 13278558us
  // period                = 22338910us
  // act                   = 1
  function29(); // estimated wcet = 13278558us
  // estimated total wcet        = 13278558
  // estimated total utilisation = 0.594414
}
TASK(event3_st_2_handler) {
  // requested utilisation = 0.19551
  // requested wcet        = 4367483us
  // period                = 22338910us
  // act                   = 1
  function31(); // estimated wcet = 4367483us
  // estimated total wcet        = 4367483
  // estimated total utilisation = 0.19551
}
TASK(event3_st_3_handler) {
  // requested utilisation = 0.711878
  // requested wcet        = 15902571us
  // period                = 22338910us
  // act                   = 1
  function33(); // estimated wcet = 15902571us
  // estimated total wcet        = 15902571
  // estimated total utilisation = 0.711878
}
// total utilisation = 3.8

/* WCET = 9114440 */
void function0() {
  RTSC_setBBWCET(6000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(2000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(12);
      RTSC_setBBWCET(0ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(16);
        RTSC_setBBWCET(5000ULL);
        /* Loop Depth = 2 */
        RTSC_setBBWCET(47466000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(7000ULL);
    /* Loop Depth = 0 */
    function1();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    function2();
    RTSC_setBBWCET(10000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(8000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(11);
      RTSC_setBBWCET(552387000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1519073 */
void function1() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  function4();
  function3();
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(759534000ULL);
}

/* WCET = 1519073 */
void function2() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(7000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(18);
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(84384000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 37976 */
void function3() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(7);
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(9000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(11);
      RTSC_setBBWCET(492000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 721560 */
void function4() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(27);
    RTSC_setBBWCET(26724000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 4752619 */
void function5() {
  RTSC_setBBWCET(8000ULL);
  /* Loop Depth = 0 */
  function7();
  ActivateTask(event0_st_0_handler);
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(4158534000ULL);
    }
    else {
      RTSC_setBBWCET(4158534000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(4000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(5);
      RTSC_setBBWCET(0ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(1);
        RTSC_setBBWCET(0ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(1);
          RTSC_setBBWCET(1000ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(1000ULL);
          /* Loop Depth = 3 */
          function6();
          RTSC_setBBWCET(32000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(41);
            RTSC_setBBWCET(5795000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 594077 */
void function6() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    function9();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    function8();
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(32000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(43);
      RTSC_setBBWCET(10361000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(9000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(23);
      RTSC_setBBWCET(25829000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 594077 */
void function7() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(10000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(29);
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 1 */
    RTSC_setBBWCET(20484000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 74259 */
void function8() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(6);
    RTSC_setBBWCET(12375000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 74260 */
void function9() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(16000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(29);
    RTSC_setBBWCET(2560000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 4383104 */
void function10() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4383096000ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      function11();
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(6);
        RTSC_setBBWCET(487010000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4383096000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 1461034 */
void function11() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1461033000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(2000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      function12();
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(39000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(41);
        RTSC_setBBWCET(17816000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(1461033000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 730517 */
void function12() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(27);
    RTSC_setBBWCET(0ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(38);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(25000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(36);
        RTSC_setBBWCET(19000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 2775966 */
void function13() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(2775962000ULL);
    }
    else {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      function14();
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(7000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(38);
        RTSC_setBBWCET(58441000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(2775960000ULL);
    }
    else {
      RTSC_setBBWCET(2775960000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 555193 */
void function14() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  function15();
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(277591000ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(13000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(14);
      RTSC_setBBWCET(19827000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 277596 */
void function15() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(15000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(42);
    RTSC_setBBWCET(6609000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 207620 */
void function16() {
  RTSC_setBBWCET(4000ULL);
  /* Loop Depth = 0 */
  function17();
  RTSC_setBBWCET(10000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(7000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    ActivateTask(event1_st_0_handler);
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(4000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(8000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    /* Loop Depth = 0 */
    ActivateTask(event1_st_1_handler);
    RTSC_setBBWCET(3000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(9);
      RTSC_setBBWCET(17294000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(155700000ULL);
    }
    else {
      RTSC_setBBWCET(155700000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 51905 */
void function17() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  function18();
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(25951000ULL);
  }
  else {
    RTSC_setBBWCET(13000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(22);
      RTSC_setBBWCET(1179000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 25952 */
void function18() {
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(1000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(6);
      RTSC_setBBWCET(4325000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(25951000ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 23377772 */
void function19() {
  RTSC_setBBWCET(10000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(20);
    RTSC_setBBWCET(6000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(22);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(6);
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 3 */
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 3 */
          RTSC_setBBWCET(9000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(44);
            RTSC_setBBWCET(201000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        else {
          RTSC_setBBWCET(8853000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 19899082 */
void function21() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(1000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(6000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(24);
      RTSC_setBBWCET(5000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(40);
        RTSC_setBBWCET(20728000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(9000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(43);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(3000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(30);
        RTSC_setBBWCET(15425000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 8392645 */
void function23() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(7000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(11000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(12);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(28);
        RTSC_setBBWCET(24978000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(699385000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 5059913 */
void function25() {
  RTSC_setBBWCET(0ULL);
  /* Loop Depth = 0 */
  ActivateTask(event2_st_0_handler);
  ActivateTask(event2_st_1_handler);
  ActivateTask(event2_st_2_handler);
  RTSC_setBBWCET(22000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(29);
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(32000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(39);
        RTSC_setBBWCET(0ULL);
        if(magic_branch_condition()) {
          RTSC_setBBWCET(4473000ULL);
        }
        else {
          RTSC_setBBWCET(8000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(10000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(45);
            RTSC_setBBWCET(11000ULL);
            while(magic_loop_condition()) {
              RTSC_setLoopCount(44);
              RTSC_setBBWCET(2000ULL);
            }
            RTSC_setBBWCET(0ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(4000ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(174475000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 5424132 */
void function27() {
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(5424129000ULL);
  }
  else {
    RTSC_setBBWCET(39000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(42);
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 1 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(4000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(9);
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(0ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(4000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(4000ULL);
          /* Loop Depth = 2 */
          RTSC_setBBWCET(15000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(38);
            RTSC_setBBWCET(377000ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      else {
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(1000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(2000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(6000ULL);
        /* Loop Depth = 1 */
        RTSC_setBBWCET(13000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(15);
          RTSC_setBBWCET(8608000ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 13278558 */
void function29() {
  RTSC_setBBWCET(5000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(1000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(5000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(2000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(35);
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(379387000ULL);
      }
      else {
        RTSC_setBBWCET(379387000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(1000ULL);
      while(magic_loop_condition()) {
        RTSC_setLoopCount(6);
        RTSC_setBBWCET(2213090000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(13278553000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 4367483 */
void function31() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(0ULL);
  if(magic_branch_condition()) {
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(3000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(6);
      RTSC_setBBWCET(727913000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  else {
    RTSC_setBBWCET(3000ULL);
    /* Loop Depth = 0 */
    RTSC_setBBWCET(0ULL);
    if(magic_branch_condition()) {
      RTSC_setBBWCET(0ULL);
      /* Loop Depth = 0 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(4367478000ULL);
      }
      else {
        RTSC_setBBWCET(4367478000ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    else {
      RTSC_setBBWCET(4367478000ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}

/* WCET = 15902571 */
void function33() {
  RTSC_setBBWCET(2000ULL);
  /* Loop Depth = 0 */
  ActivateTask(event3_st_0_handler);
  ActivateTask(event3_st_1_handler);
  ActivateTask(event3_st_2_handler);
  RTSC_setBBWCET(3000ULL);
  /* Loop Depth = 0 */
  RTSC_setBBWCET(19000ULL);
  while(magic_loop_condition()) {
    RTSC_setLoopCount(41);
    RTSC_setBBWCET(18000ULL);
    while(magic_loop_condition()) {
      RTSC_setLoopCount(33);
      RTSC_setBBWCET(6000ULL);
      /* Loop Depth = 2 */
      RTSC_setBBWCET(0ULL);
      if(magic_branch_condition()) {
        RTSC_setBBWCET(11747000ULL);
      }
      else {
        RTSC_setBBWCET(5000ULL);
        while(magic_loop_condition()) {
          RTSC_setLoopCount(19);
          RTSC_setBBWCET(2000ULL);
          while(magic_loop_condition()) {
            RTSC_setLoopCount(44);
            RTSC_setBBWCET(0ULL);
            /* Loop Depth = 4 */
            RTSC_setBBWCET(4000ULL);
            while(magic_loop_condition()) {
              RTSC_setLoopCount(10);
              RTSC_setBBWCET(0ULL);
              /* Loop Depth = 5 */
              RTSC_setBBWCET(0ULL);
              while(magic_loop_condition()) {
                RTSC_setLoopCount(1);
                RTSC_setBBWCET(1000ULL);
              }
              RTSC_setBBWCET(0ULL);
            }
            RTSC_setBBWCET(0ULL);
          }
          RTSC_setBBWCET(0ULL);
        }
        RTSC_setBBWCET(0ULL);
      }
      RTSC_setBBWCET(0ULL);
    }
    RTSC_setBBWCET(0ULL);
  }
  RTSC_setBBWCET(0ULL);
}


